<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

    <head>
    <title>GormNSWindow class documentation</title>
  </head>
  <body>
    <font face="serif">
    <h1><a name="title$GormNSWindow">GormNSWindow class documentation</a></h1>
    <h3>Authors</h3>
    <dl>
      <dt>Generated by heron</dt>
      <dd>
      </dd>
    </dl>

        <div>
    </div>

          <h1><a name="001000000000">
        Software documentation for the GormNSWindow class
      </a></h1>
    <h2><a name="class$GormNSWindow">GormNSWindow</a> : NSWindow</h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>GormCore/GormNSWindow.h</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="50%" align="left" />
    <a href="#_GormNSWindow_ivars">Instance Variables</a>
    <br/><br/>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="GormNSWindow.html#method$GormNSWindow-_isReleasedWhenClosed">-_isReleasedWhenClosed</a></li>
      <li><a rel="gsdoc" href="GormNSWindow.html#method$GormNSWindow-_setReleasedWhenClosed$">-_setReleasedWhenClosed:</a></li>
      <li><a rel="gsdoc" href="GormNSWindow.html#method$GormNSWindow-_setStyleMask$">-_setStyleMask:</a></li>
      <li><a rel="gsdoc" href="GormNSWindow.html#method$GormNSWindow-_styleMask">-_styleMask</a></li>
      <li><a rel="gsdoc" href="GormNSWindow.html#method$GormNSWindow-autoPositionMask">-autoPositionMask</a></li>
      <li><a rel="gsdoc" href="GormNSWindow.html#method$GormNSWindow-setAutoPositionMask$">-setAutoPositionMask:</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$GormNSWindow-_isReleasedWhenClosed">_isReleasedWhenClosed&nbsp;</a></h3>
    - (BOOL) <b>_isReleasedWhenClosed</b>;<br />
    <div class="desc">
      
            <em>Warning</em> the underscore at the start of the
            name of this method indicates that it is private, for
            internal use only, and you should not use the
            method in your code.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormNSWindow-_setReleasedWhenClosed$">_setReleasedWhenClosed:&nbsp;</a></h3>
    - (void) <b>_setReleasedWhenClosed:</b> (BOOL)flag;<br />
    <div class="desc">
      
            <em>Warning</em> the underscore at the start of the
            name of this method indicates that it is private, for
            internal use only, and you should not use the
            method in your code.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormNSWindow-_setStyleMask$">_setStyleMask:&nbsp;</a></h3>
    - (void) <b>_setStyleMask:</b> (unsigned int)newStyleMask;<br />
    <div class="desc">
      
            <em>Warning</em> the underscore at the start of the
            name of this method indicates that it is private, for
            internal use only, and you should not use the
            method in your code.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormNSWindow-_styleMask">_styleMask&nbsp;</a></h3>
    - (unsigned int) <b>_styleMask</b>;<br />
    <div class="desc">
      
            <em>Warning</em> the underscore at the start of the
            name of this method indicates that it is private, for
            internal use only, and you should not use the
            method in your code.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormNSWindow-autoPositionMask">autoPositionMask&nbsp;</a></h3>
    - (unsigned int) <b>autoPositionMask</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormNSWindow-setAutoPositionMask$">setAutoPositionMask:&nbsp;</a></h3>
    - (void) <b>setAutoPositionMask:</b> (unsigned int)mask;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<a name="_GormNSWindow_ivars"/>    <br/><hr width="50%" align="left" />
    <h2>Instance Variables for GormNSWindow Class</h2>
    <h3><a name="ivariable$GormNSWindow*_gormReleasedWhenClosed">_gormReleasedWhenClosed</a></h3>
    @protected BOOL <b>_gormReleasedWhenClosed</b>;<br />
    <div class="desc">
      
            <em>Warning</em> the underscore at the start of the
            name of this instance variable indicates that, even
            though it is not technically <em>private</em>, it is
            intended for internal use within the package, and
            you should not use the variable in other code.
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormNSWindow*_gormStyleMask">_gormStyleMask</a></h3>
    @protected unsigned int <b>_gormStyleMask</b>;<br />
    <div class="desc">
      
            <em>Warning</em> the underscore at the start of the
            name of this instance variable indicates that, even
            though it is not technically <em>private</em>, it is
            intended for internal use within the package, and
            you should not use the variable in other code.
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormNSWindow*autoPositionMask">autoPositionMask</a></h3>
    @protected NSUInteger <b>autoPositionMask</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <br/><hr width="50%" align="left" /><br/>
    <br />
    </font>
</body>
</html>
